XmLSort(3X)

NAME
XmLSort - sort an array using a quicksort algorithm

SYNTAX
void XmLSort(base, numItems, itemSize, compare, userData)
void *base;
int numItems;
unsigned int itemSize;
XmLSortCompareFunc compare;
void *userData;

ARGUMENTS

base
    base of array to sort

numItems
    number of items to be sorted

itemSize
    size of items to be sorted

compare
    comparison function

userData
    user data

DESCRIPTION
Performs a median-of-three quicksort to sort the array starting at the address base which contains numItems items of size itemSize. The compare function given is used to compare items, and when sorting occurs, it is passed pointers to the two items to compare, as well as the userData pointer given to this function. The compare function must return a value less than, greater than, or equal to 0 based on whether the first item is less than, greater than, or equal to the second item.